Package org.jboss.resteasy.plugins.providers.fastinfoset.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.fastinfoset.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:01-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.plugins.providers.fastinfoset.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `expectingStreamSource()` |
    `protected String` | `expectingStreamSource$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `protected Object` | `readResolve()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### expectingStreamSource$str

          protected String expectingStreamSource$str()

    - #### expectingStreamSource

          public final String expectingStreamSource()

      Specified by:
        `expectingStreamSource` in interface `Messages`